org.apache.uima.fit.descriptor

## Annotation Type FsIndex

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface FsIndex

  See Also:
    `FsIndexDescription`, `FsIndexFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static String` | `KIND_BAG`
    `static String` | `KIND_SET`
    `static String` | `KIND_SORTED`
    `static String` | `NO_NAME_TYPE_SET` Indicated that no type name has been set.

  - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `label`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `FsIndexKey[]` | `keys`
    `String` | `kind`
    `Class<? extends org.apache.uima.jcas.cas.TOP>` | `type` The type of the index as class.
    `String` | `typeName` The type of the index as name.
    `boolean` | `typePriorities`

- - ### Field Detail

    - #### KIND_SORTED

          public static final String KIND_SORTED

      See Also:
        `FsIndexDescription.KIND_SORTED`

  - - #### KIND_SET

          public static final String KIND_SET

      See Also:
        `FsIndexDescription.KIND_SET`

  - - #### KIND_BAG

          public static final String KIND_BAG

      See Also:
        `FsIndexDescription.KIND_BAG`

  - - #### NO_NAME_TYPE_SET

          public static final String NO_NAME_TYPE_SET

      Indicated that no type name has been set.

  - ### Element Detail

    - #### label

          public abstract String label

      Returns:
        the label of this index
      See Also:
        `FsIndexDescription.getLabel()`

  - - #### typeName

          public abstract String typeName

      The type of the index as name. As an alternative, the index can be defined using a class with `type()`. One method or the other must be used to set the index type.
      Returns:
        the type name for this index
      See Also:
        `FsIndexDescription.getTypeName()`
      Default:
        "org.apache.uima.fit.descriptor.FsIndex.NO_NAME_TYPE_SET"

  - - #### type

          public abstract Class<? extends org.apache.uima.jcas.cas.TOP> type

      The type of the index as class. As an alternative, the index can be defined using a type name with `typeName()`. One method or the other must be used to set the index type.
      Returns:
        the type for this index
      See Also:
        `FsIndexDescription.getTypeName()`
      Default:
        org.apache.uima.fit.descriptor.FsIndex.NoClassSet.class

  - - #### kind

          public abstract String kind

      Returns:
        the kind of index
      See Also:
        `FsIndexDescription.getKind()`
      Default:
        "bag"

  - - #### keys

          public abstract FsIndexKey[] keys

      Returns:
        the keys for this index
      See Also:
        `FsIndexDescription.getKeys()`
      Default:
        {}

  - - #### typePriorities

          public abstract boolean typePriorities

      Returns:
        true if and only if this is a type priority key
      See Also:
        `FsIndexKeyDescription.isTypePriority()`
      Default:
        true

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.